## taskcoach 1.4.4

=== Makefile ===
# Task Coach - Your friendly task manager
# Copyright (C) 2004-2016 Task Coach developers <developers@taskcoach.org>
# 
# Task Coach is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Task Coach is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# Makefile to create binary and source distributions and generate the 
# simple website (intermediate files are in ./build, distributions are
# put in ./dist, the files for the website end up in ./website.out)

DOT="dot"       # dot should be on the path

# Python should be on the path. On 64 bits Mac OS X, use the 32-bits version
# (wx only works in 32 bits mode and the environment/default write trick to
# make it the default does not seem to work on Lion).

ifeq "$(shell uname -s)" "Darwin"
BITS=$(shell python -c "import struct; print len(struct.pack('L', 0))")
ifeq "$(BITS)" "8"
    PYTHON?="python-32"
else
    PYTHON?="python"
endif
else
    PYTHON?="python"
endif

ifeq (CYGWIN_NT,$(findstring CYGWIN_NT,$(shell uname)))
    INNOSETUP="/cygdrive/c/Program Files/Inno Setup 5/ISCC.exe"
    PORTABLEAPPSINSTALLER="/cygdrive/c/Program Files/PortableApps.comInstaller/PortableApps.comInstaller.exe"
    EPYDOC=$(PYTHON) $(shell python -c "import os, sys; print \"'\" + os.path.join(os.path.split(sys.executable)[0], 'Scripts', 'epydoc.py') + \"'\"")
else
    EPYDOC="epydoc"
endif

TCVERSION=$(shell python -c "import taskcoachlib.meta.data as data; print data.version")
TCPORTABLE=$(shell python -c "import os; print \"'\" + os.path.join(os.getcwd(), 'build', 'TaskCoachPortable') + \"'\"")

ifeq ($(PGPID)x,x)
PGPID=a3e41706
endif

revision:
	echo "revision='$(TCREV)'" > taskcoachlib/meta/revision.py

prepare: thirdpartymodules icons i18n templates

windists: windist winpenpack portableapps sdist_windows

windist: py2exe
	$(INNOSETUP) build/taskcoach.iss

py2exe: prepare
	$(PYTHON) pymake.py py2exe

sdist_windows: prepare changes templates dist/TaskCoach-$(TCVERSION).zip

dist/TaskCoach-$(TCVERSION).zip:
	$(PYTHON) pymake.py sdist --formats=zip --no-prune --template=build.in/windows/MANIFEST.in

sdist_linux: prepare changes templates dist/TaskCoach-$(TCVERSION).tar.gz

sdist_ubuntu: sdist_linux
	# Launchpad does not support one size fits all packages...
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu15~vivid.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu15~wily.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu16~xenial.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu18~bionic.tar.gz

sdist_raw:
	mkdir -p dist
	cp -a . ../../tmp-sdist
	cd ../../tmp-sdist; make nuke; find . -name ".hg" | xargs -d '\n' rm -rf
	mv ../../tmp-sdist dist/TaskCoach-$(TCVERSION)
	cd dist; tar czf TaskCoach-$(TCVERSION)-raw.tgz TaskCoach-$(TCVERSION); rm -rf TaskCoach-$(TCVERSION)

dist/TaskCoach-$(TCVERSION).tar.gz:
	$(PYTHON) pymake.py sdist --formats=gztar --no-prune --template=build.in/debian/MANIFEST.in
	echo Created dist/TaskCoach-$(TCVERSION).tar.gz

rpm: prepare changes templates
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) pymake.py bdist_rpm --requires "python2.5,python-wxgtk2.8" --group "Applications/Productivity"
	rm MANIFEST.in

fedora: prepare changes templates
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) pymake.py bdist_rpm_fedora
	rm MANIFEST.in

opensuse: sdist_linux
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) pymake.py bdist_rpm_opensuse 
	mv dist/taskcoach-$(TCVERSION)-1.noarch.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.i386.rpm
	mv dist/taskcoach-$(TCVERSION)-1.src.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.src.rpm

deb: sdist_linux
	mv dist/TaskCoach-$(TCVERSION).tar.gz dist/TaskCoach_$(TCVERSION).tar.gz
	LC_ALL=C $(PYTHON) pymake.py bdist_deb --sdist=dist/TaskCoach_$(TCVERSION).tar.gz
	mv dist/taskcoach_$(TCVERSION)-1_all.deb dist/taskcoach_$(TCVERSION)-1.deb

ubuntu: sdist_ubuntu
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu precise 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
	mv build build-precise
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu trusty 14 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
	mv build build-trusty
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu vivid 15 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu15~vivid.tar.gz
	mv build build-vivid
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu wily 15 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu15~wily.tar.gz
	mv build build-wily
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu xenial 16 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu16~xenial.tar.gz
	mv build build-xenial
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu bionic 18 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu18~bionic.tar.gz
	mv build build-bionic

ppa_sign: ubuntu
	cd build-precise; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
	cd build-trusty; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
	cd build-vivid; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
	cd build-wily; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
	cd build-xenial; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu16~xenial-1_source.changes
	cd build-bionic; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu18~bionic-1_source.changes

# Split PPA by version because the upload has a tendency to fail so the buildbot must retry

ppa_rel_precise:
	cd build-precise; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes

ppa_rel_trusty:
	cd build-trusty; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes

ppa_rel_vivid:
	cd build-vivid; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes

ppa_rel_wily:
	cd build-wily; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes

ppa_rel_xenial:
	cd build-xenial; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu16~xenial-1_source.changes

ppa_rel_bionic:
	cd build-bionic; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu18~bionic-1_source.changes

ppa_relnext_precise:
	cd build-precise; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes

ppa_relnext_trusty:
	cd build-trusty; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes

ppa_relnext_vivid:
	cd build-vivid; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes

ppa_relnext_wily:
	cd build-wily; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes

ppa_relnext_xenial:
	cd build-xenial; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu16~xenial-1_source.changes

ppa_relnext_bionic:
	cd build-bionic; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu18~bionic-1_source.changes

ppa_release_precise:
	cd build-precise; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes

ppa_release_trusty:
	cd build-trusty; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes

ppa_release_vivid:
	cd build-vivid; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes

ppa_release_wily:
	cd build-wily; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes

ppa_release_xenial:
	cd build-xenial; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu16~xenial-1_source.changes

ppa_release_bionic:
	cd build-bionic; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu18~bionic-1_source.changes

app: prepare
	$(PYTHON) pymake.py py2app
	chmod 644 "build/Task Coach/TaskCoach.app/Contents/Resources/taskcoach.py"

dmg-goodies: app
	mkdir "build/Task Coach/.Resources"
	cp -f dist.in/macos/dmg-background.png "build/Task Coach/.Resources/"
	cp -f dist.in/macos/config "build/Task Coach/.DS_Store"
	ln -s /Applications "build/Task Coach/Applications"

dmgbase:
	hdiutil create -ov -imagekey zlib-level=9 -fs "HFS+" -srcfolder "build/Task Coach" dist/TaskCoach-$(TCVERSION).dmg

dmg: dmg-goodies dmgbase

dmg-signed: dmg-goodies
	for target in Contents/Frameworks/*.dylib Contents/Frameworks/Python.framework Contents/MacOS/python .; do \
		codesign -f --verify --verbose --sign "Mac Developer:" --entitlements TaskCoach.entitlements "build/Task Coach/TaskCoach.app/$$target"; \
	done
	make dmgbase

winpenpack: py2exe 
	$(PYTHON) pymake.py bdist_winpenpack

portableapps: py2exe
	$(PYTHON) pymake.py bdist_portableapps
	$(PORTABLEAPPSINSTALLER) $(TCPORTABLE)
	mv build/TaskCoachPortable_$(TCVERSION).paf.exe dist

icons: taskcoachlib/gui/icons.py

templates: taskcoachlib/persistence/xml/templates.py

thirdpartymodules:
	cd thirdparty; tar xzf chardet-2.1.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty chardet-2.1.1/chardet
	cd thirdparty; tar xzf python-dateutil-1.5.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-dateutil-1.5/dateutil
	cd thirdparty; tar xzf desktop-0.4.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty desktop-0.4.2/desktop
	cd thirdparty; tar xzf keyring-3.7.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty keyring-3.7/keyring
	cd thirdparty; tar xzf lockfile-0.12.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty lockfile-0.12.2/lockfile
	cd thirdparty; tar xzf PyPubSub-3.3.0.tar.gz --strip-components=2 -C ../taskcoachlib/thirdparty PyPubSub-3.3.0/src/pubsub
	cd thirdparty; tar xzf SquareMap-1.0.3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty SquareMap-1.0.3/squaremap
	cd thirdparty; tar xzf python-ntlm-40080cff37ab32570f9bb50bad0a46b957409c18.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-ntlm/ntlm
	cd thirdparty; tar xzf wxScheduler-r151.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty wxScheduler/wxScheduler
	cd thirdparty; tar xzf aui-r72315.tar.gz -C ../taskcoachlib/thirdparty
	cd thirdparty; tar xzf WMI-1.4.9.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty WMI-1.4.9/wmi.py
	cd thirdparty; tar xzf pyparsing-1.5.5.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyparsing-1.5.5/pyparsing_py2.py
	mv taskcoachlib/thirdparty/pyparsing_py2.py taskcoachlib/thirdparty/pyparsing.py
	cd thirdparty; tar xzf pybonjour-1.1.1.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pybonjour-1.1.1/pybonjour.py
	cd thirdparty; tar xzf agw-r70845.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty agw/customtreectrl.py
	cd thirdparty; tar xzf agw-r70819.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty agw/hypertreelist.py
	cd thirdparty; tar xzf gntp-d639fa2e981fe41196a5115ad64320b5061f004b.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty gntp/gntp
	cd thirdparty; tar xzf pyxdg-0.25.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyxdg-0.25/xdg
	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/customtreectrl.diff

=== debian/changelog ===
taskcoach (1.4.4-1) unstable; urgency=medium

  * New upstream release.
    Depend on python-igraph.
    Remove new generated files when repackaging.
  * Fix installation path for appdata.xml.
  * Drop obsolete version restrictions in dependencies.
  * Standards-Version: 4.2.1.
  * Rules-Requires-Root: no.
  * Replace more HTTP with HTTPS.
  * Replace more ADTTMP with AUTOPKGTEST_TMP.
  * Remove unused options from watch file.

  [ Ondřej Nový <onovy@debian.org> ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/watch: Use https protocol

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 15 Dec 2018 14:13:29 +0100

taskcoach (1.4.3-8) unstable; urgency=medium

  * Ignore python-gtk2 if installed. Closes: #897380.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 02 May 2018 19:16:31 +0200

taskcoach (1.4.3-7) unstable; urgency=medium

  * Really disable parallel execution of upstream Makefile under xvfb.
  * Migrate VCS-* to salsa.debian.org.
  * Drop obsolete suggest: python-kde4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 11:15:20 +0200

=== debian/control ===
Source: taskcoach
Section: utils
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends-Indep: debhelper (>= 11),
# 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
 python,
 dh-python,
# See debian/rules:
 graphicsmagick,
# Unit tests have the same dependencies than the installed package.
 python-chardet (>= 2.1.1),
 python-dateutil,
 python-keyring (>= 3.7),
 python-lockfile (>= 0.9),
 python-pyparsing,
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
# Version modifying the path in official_agw.diff.
 python-wxgtk3.0 (>= 3.0.2.0+dfsg-7),
 python-wxversion,
 python-twisted-core (>= 12.1),
 libxss1,
 fonts-dejavu,
# See tests/control.
 hicolor-icon-theme, locales-all, x11-utils, xauth, xvfb
# Also see patches/run_img2py_inside_xvfb.diff.
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://www.taskcoach.org
Vcs-Browser: https://salsa.debian.org/debian/taskcoach
Vcs-Git: https://salsa.debian.org/debian/taskcoach.git

Package: taskcoach
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
# xprop is needed by python-desktop.
 x11-utils,
# See debian/copyright
 python-chardet (>= 2.1.1),
 python-dateutil,
 python-igraph,
 python-keyring (>= 3.7),
 python-lockfile (>= 0.9),
 python-pyparsing,
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
# See buildlib/bdist_deb.py and #762413
 python-wxgtk3.0 (>= 3.0.1.1+dfsg-2~),
 python-wxversion,
 python-twisted-core (>= 12.1),
 libxss1,
 fonts-dejavu,
 xdg-utils
# Avoid recommending obsolete libgnome-2 like upstream.
Recommends: python-notify, libavahi-compat-libdnssd1
# Avoid suggesting obsolete python-kde4 like upstream.
Suggests: espeak
Description: friendly task manager
 Task Coach is a friendly open source todo manager to manage personal
 tasks and todo lists. It supports composite tasks, i.e. tasks within
 tasks. In addition, Task Coach allows you to categorize your tasks,
 track effort against a budget per task, and much more. Task Coach is
 available for Windows, Mac OS X, BSD, Linux, iPhone and iPad.
 .
 Your database may be synchronized across these platforms. If espeak
 is installed, reminders can be spoken.

=== debian/watch ===
version=4
https://sf.net/taskcoach/TaskCoach@ANY_VERSION@-raw@ARCHIVE_EXT@

## taskcoach 1.4.6

=== Makefile ===
# Task Coach - Your friendly task manager
# Copyright (C) 2004-2016 Task Coach developers <developers@taskcoach.org>
# 
# Task Coach is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Task Coach is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# Makefile to create binary and source distributions and generate the 
# simple website (intermediate files are in ./build, distributions are
# put in ./dist, the files for the website end up in ./website.out)

DOT="dot"       # dot should be on the path

# Python should be on the path. On 64 bits Mac OS X, use the 32-bits version
# (wx only works in 32 bits mode and the environment/default write trick to
# make it the default does not seem to work on Lion).

ifeq "$(shell uname -s)" "Darwin"
BITS=$(shell python -c "import struct; print len(struct.pack('L', 0))")
ifeq "$(BITS)" "8"
    PYTHON?="python-32"
else
    PYTHON?="python"
endif
else
    PYTHON?="python"
endif

ifeq (CYGWIN_NT,$(findstring CYGWIN_NT,$(shell uname)))
    INNOSETUP="/cygdrive/c/Program Files/Inno Setup 5/ISCC.exe"
    PORTABLEAPPSINSTALLER="/cygdrive/c/Program Files/PortableApps.comInstaller/PortableApps.comInstaller.exe"
    EPYDOC=$(PYTHON) $(shell python -c "import os, sys; print \"'\" + os.path.join(os.path.split(sys.executable)[0], 'Scripts', 'epydoc.py') + \"'\"")
else
    EPYDOC="epydoc"
endif

TCVERSION=$(shell python -c "import taskcoachlib.meta.data as data; print data.version")
TCPORTABLE=$(shell python -c "import os; print \"'\" + os.path.join(os.getcwd(), 'build', 'TaskCoachPortable') + \"'\"")

ifeq ($(PGPID)x,x)
PGPID=a3e41706
endif

revision:
	echo "revision='$(TCREV)'" > taskcoachlib/meta/revision.py

prepare: thirdpartymodules icons i18n templates

windists: windist winpenpack portableapps sdist_windows

windist: py2exe
	$(INNOSETUP) build/taskcoach.iss

py2exe: prepare
	$(PYTHON) pymake.py py2exe

sdist_windows: prepare changes templates dist/TaskCoach-$(TCVERSION).zip

dist/TaskCoach-$(TCVERSION).zip:
	$(PYTHON) pymake.py sdist --formats=zip --no-prune --template=build.in/windows/MANIFEST.in

sdist_linux: prepare changes templates dist/TaskCoach-$(TCVERSION).tar.gz

sdist_ubuntu: sdist_linux
	# Launchpad does not support one size fits all packages...
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~quantal.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu13~raring.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu13~saucy.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu14~utopic.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu15~vivid.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu15~wily.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu16~xenial.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu16~yakkety.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu17~zesty.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu17~artful.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu18~bionic.tar.gz
	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu18~cosmic.tar.gz

sdist_raw:
	mkdir -p dist
	cp -a . ../../tmp-sdist
	cd ../../tmp-sdist; make nuke; find . -name ".hg" | xargs -d '\n' rm -rf
	mv ../../tmp-sdist dist/TaskCoach-$(TCVERSION)
	cd dist; tar czf TaskCoach-$(TCVERSION)-raw.tgz TaskCoach-$(TCVERSION); rm -rf TaskCoach-$(TCVERSION)

dist/TaskCoach-$(TCVERSION).tar.gz:
	$(PYTHON) pymake.py sdist --formats=gztar --no-prune --template=build.in/debian/MANIFEST.in
	echo Created dist/TaskCoach-$(TCVERSION).tar.gz

rpm: prepare changes templates
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) pymake.py bdist_rpm --requires "python2.5,python-wxgtk2.8" --group "Applications/Productivity"
	rm MANIFEST.in

fedora: prepare changes templates
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) pymake.py bdist_rpm_fedora
	rm MANIFEST.in

opensuse: sdist_linux
	cp build.in/debian/MANIFEST.in .
	$(PYTHON) pymake.py bdist_rpm_opensuse 
	mv dist/taskcoach-$(TCVERSION)-1.noarch.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.i386.rpm
	mv dist/taskcoach-$(TCVERSION)-1.src.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.src.rpm

deb: sdist_linux
	mv dist/TaskCoach-$(TCVERSION).tar.gz dist/TaskCoach_$(TCVERSION).tar.gz
	LC_ALL=C $(PYTHON) pymake.py bdist_deb --sdist=dist/TaskCoach_$(TCVERSION).tar.gz
	mv dist/taskcoach_$(TCVERSION)-1_all.deb dist/taskcoach_$(TCVERSION)-1.deb

ubuntu: sdist_ubuntu
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu precise 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
	mv build build-precise
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu quantal 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~quantal.tar.gz
	mv build build-quantal
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu raring 13 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu13~raring.tar.gz
	mv build build-raring
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu saucy 13 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu13~saucy.tar.gz
	mv build build-saucy
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu trusty 14 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
	mv build build-trusty
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu utopic 14 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu14~utopic.tar.gz
	mv build build-utopic
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu vivid 15 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu15~vivid.tar.gz
	mv build build-vivid
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu wily 15 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu15~wily.tar.gz
	mv build build-wily
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu xenial 16 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu16~xenial.tar.gz
	mv build build-xenial
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu yakkety 16 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu16~yakkety.tar.gz
	mv build build-yakkety
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu zesty 17 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu17~zesty.tar.gz
	mv build build-zesty
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu artful 17 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu17~artful.tar.gz
	mv build build-artful
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu bionic 18 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu18~bionic.tar.gz
	mv build build-bionic
	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu cosmic 18 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu18~cosmic.tar.gz
	mv build build-cosmic

ppa_sign: ubuntu
	cd build-precise; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
	cd build-quantal; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes
	cd build-raring; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes
	cd build-saucy; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu13~saucy-1_source.changes
	cd build-trusty; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
	cd build-utopic; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu14~utopic-1_source.changes
	cd build-vivid; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
	cd build-wily; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
	cd build-xenial; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu16~xenial-1_source.changes
	cd build-yakkety; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu16~yakkety-1_source.changes
	cd build-zesty; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu17~zesty-1_source.changes
	cd build-artful; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu17~artful-1_source.changes
	cd build-bionic; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu18~bionic-1_source.changes
	cd build-cosmic; debsign --re-sign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu18~cosmic-1_source.changes

# Split PPA by version because the upload has a tendency to fail so the buildbot must retry

ppa_rel_precise:
	cd build-precise; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes

ppa_rel_quantal:
	cd build-quantal; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes

ppa_rel_raring:
	cd build-raring; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes

ppa_rel_saucy:
	cd build-saucy; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu13~saucy-1_source.changes

ppa_rel_trusty:
	cd build-trusty; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes

ppa_rel_utopic:
	cd build-utopic; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu14~utopic-1_source.changes

ppa_rel_vivid:
	cd build-vivid; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes

ppa_rel_wily:
	cd build-wily; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes

ppa_rel_xenial:
	cd build-xenial; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu16~xenial-1_source.changes

ppa_rel_yakkety:
	cd build-yakkety; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu16~yakkety-1_source.changes

ppa_rel_zesty:
	cd build-zesty; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu17~zesty-1_source.changes

ppa_rel_artful:
	cd build-artful; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu17~artful-1_source.changes

ppa_rel_bionic:
	cd build-bionic; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu18~bionic-1_source.changes

ppa_rel_cosmic:
	cd build-cosmic; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu18~cosmic-1_source.changes

ppa_relnext_precise:
	cd build-precise; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes

ppa_relnext_quantal:
	cd build-quantal; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~quantal-1_source.changes

ppa_relnext_raring:
	cd build-raring; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu13~raring-1_source.changes

ppa_relnext_saucy:
	cd build-saucy; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu13~saucy-1_source.changes

ppa_relnext_trusty:
	cd build-trusty; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes

ppa_relnext_utopic:
	cd build-utopic; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu14~utopic-1_source.changes

ppa_relnext_vivid:
	cd build-vivid; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes

ppa_relnext_wily:
	cd build-wily; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes

ppa_relnext_xenial:

=== debian/changelog ===
taskcoach (1.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Create debian/upstream/metadata.
  * Standards-Version: 4.4.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 08 Jul 2019 11:44:11 +0200

taskcoach (1.4.5-1) experimental; urgency=medium

  * New upstream release.
  * Debhelper 12. Call setup.py directly.
  * Standards-Version: 4.3.0.
  * Update the appdata patch, increase the icon size to 64x64.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 23 Apr 2019 14:55:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends-Indep: debhelper (>= 11),
+Build-Depends:
+ debhelper-compat (= 12),
 # 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
  python,
  dh-python,
@@ -25,7 +26,7 @@
 # See tests/control.
  hicolor-icon-theme, locales-all, x11-utils, xauth, xvfb
 # Also see patches/run_img2py_inside_xvfb.diff.
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://www.taskcoach.org
 Vcs-Browser: https://salsa.debian.org/debian/taskcoach

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_clean::
# clean and reallyclean cannot run in parallel.
	$(MAKE) reallyclean
override_dh_auto_build:
# img2py needs an X display to convert images.
# Do not mix xvfb-run and parallelism.
	xvfb-run $(MAKE) -j1 prepare
	python setup.py build
override_dh_auto_install::
	python setup.py install --root=debian/taskcoach --install-layout=deb

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -fr tests_tmp
# Disable unit until they migrate to python-wxgtk3.0.
#	AUTOPKGTEST_TMP=. sh debian/tests/unittests
endif
override_dh_auto_clean::
	rm -rf tests_tmp

# Translate upstream changelog to text for dh_installchangelogs.
# Upstream "make clean" will remove it.
CHANGES.txt:
	python changes.in/make.py text > $@
override_dh_auto_build: CHANGES.txt

# Files extracted from thirdparty tarballs by "make prepare" should be
# deleted with "make nuke", but upstream implementation uses the local
# subversion repository so we have to do an ugly explicit list.
# Information about thirdparty is centralized in debian/copyright.
override_dh_auto_clean::
	rm -f -r taskcoachlib/thirdparty/aui
	rm -f    taskcoachlib/thirdparty/customtreectrl.py
	rm -f -r taskcoachlib/thirdparty/desktop
	rm -f -r taskcoachlib/thirdparty/gntp
	rm -f    taskcoachlib/thirdparty/hypertreelist.py
	rm -f -r taskcoachlib/thirdparty/ntlm
	rm -f    taskcoachlib/thirdparty/pybonjour.py
	rm -f    taskcoachlib/thirdparty/wmi.py
	rm -f -r taskcoachlib/thirdparty/wxScheduler

# Generated file, see Files-Excluded stanza in copyright file.
override_dh_auto_clean::
	rm -f i18n.in/messages.pot

# Provide an icon for the menu file.
XPM_ICON := icons.in/taskcoach.xpm
$(XPM_ICON): %.xpm: %.png
	gm convert -resize 64x64 $< $@
override_dh_auto_build: $(XPM_ICON)
override_dh_auto_install::
	dh_install $(XPM_ICON) usr/share/pixmaps
override_dh_auto_clean::
	rm -f $(XPM_ICON)

# Upstream provides the main executable with a .py suffix.
EXE_DIR := debian/taskcoach/usr/bin
DESKTOP := debian/taskcoach/usr/share/applications/taskcoach.desktop
APPDATA := debian/taskcoach/usr/share/metainfo/taskcoach.appdata.xml
override_dh_auto_install::
	cd $(EXE_DIR) && mv taskcoach.py taskcoach
	sed --in-place 's/Exec=taskcoach\.py/Exec=taskcoach/' $(DESKTOP)
	sed --in-place 's/<binary>taskcoach\.py/<binary>taskcoach/' $(APPDATA)

# Avoid compressing the TODO list, provided in the taskcoach format.
override_dh_compress:
	dh_compress -Xusr/share/doc/taskcoach/TODO.tsk
